#!/bin/sh
#
# install_buffalo.sh [bintar]
#
# if you specify 'binter' option, this script creats only tarball.
#
#

TARBALL=samba-3.0.21c_bin_BUFFALO.tgz

copy_files()
{
	if [ ! -f bin/smbd ]; then
	 echo "you should make first."
	 exit 1
	fi
}

create_folders()
{
	mkdir -p /usr/share/empty
	mkdir -p /var/ftp ; chown root.root /var/ftp; chmod og-w /var/ftp
	if [ $? -ne 0 ]; then
		exit 1
	fi
	chmod -w /share/home/ftp
	if [ $? -ne 0 ]; then
		exit 1
	fi
}

create_bintar()
{
	echo "creating binary image...[$TARBALL]"
	mkdir samba-3.0.21c_bin_buffalo
	cp -a samba-3.0.21c samba-3.0.21c.conf install_buffalo.sh samba-3.0.21c_bin_buffalo
	chown -R root.root samba-3.0.21c_bin_buffalo
	tar zcf $TARBALL samba-3.0.21c_bin_buffalo
	rm -rf samba-3.0.21c_bin_buffalo
}

case "$1" in
	bintar)
		create_bintar
		;;
	help)
		echo "install_buffalo.sh [bintar]"
		echo " 'bintar' option create only tarball and never install any files."
		;;
	*)
		echo "install binarys..."
		copy_files
		create_folders
		;;
esac

